/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that returns the parent's 
process id. */
#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>

int main() {
    int pid;
    
    pid = fork();
    if(pid == 0) {
        printf(" The parent's pid is  %d\n", getppid());
        exit(0);
    }
}
